Package org.apache.tools.ant.taskdefs

## Class Definer.OnError

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.Definer.OnError

Enclosing class:
  Definer

    public static class Definer.OnError
    extends EnumeratedAttribute

Enumerated type for onError attribute

See Also:
  `EnumeratedAttribute`

### Field Summary

Fields
`static int` `FAIL` Enumerated values
`static int` `FAIL_ALL` Enumerated values
`static int` `IGNORE` Enumerated values
`static java.lang.String` `POLICY_FAIL` text value of onerror option "fail"
`static java.lang.String` `POLICY_FAILALL` text value of onerror option "failall"
`static java.lang.String` `POLICY_IGNORE` text value of onerror option "ignore"
`static java.lang.String` `POLICY_REPORT` text value of onerror option "report"
`static int` `REPORT` Enumerated values

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
`OnError()` Constructor
`OnError​(java.lang.String value)` Constructor using a string.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getValues()` get the values

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FAIL

    public static final int FAIL

Enumerated values

See Also:
  Constant Field Values

#### REPORT

    public static final int REPORT

Enumerated values

See Also:
  Constant Field Values

#### IGNORE

    public static final int IGNORE

Enumerated values

See Also:
  Constant Field Values

#### FAIL_ALL

    public static final int FAIL_ALL

Enumerated values

See Also:
  Constant Field Values

#### POLICY_FAIL

    public static final java.lang.String POLICY_FAIL

text value of onerror option "fail"

See Also:
  Constant Field Values

#### POLICY_REPORT

    public static final java.lang.String POLICY_REPORT

text value of onerror option "report"

See Also:
  Constant Field Values

#### POLICY_IGNORE

    public static final java.lang.String POLICY_IGNORE

text value of onerror option "ignore"

See Also:
  Constant Field Values

#### POLICY_FAILALL

    public static final java.lang.String POLICY_FAILALL

text value of onerror option "failall"

See Also:
  Constant Field Values

### Constructor Detail

#### OnError

    public OnError()

Constructor

#### OnError

    public OnError​(java.lang.String value)

Constructor using a string.

Parameters:
  `value` - the value of the attribute

### Method Detail

#### getValues

    public java.lang.String[] getValues()

get the values

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  an array of the allowed values for this attribute.